@font-face {
  font-family: "Nunito";
  src: url("../fonts/Nunito-Regular.ttf") format("truetype");
  font-weight: 400;
  font-style: normal;
}

body {
  margin: 0;
  padding: 0;
  font-family: "Nunito", sans-serif;
  background-color: #fff5e1;
}

.container {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 5vw 0 5vw 0;
}

.main-wrapper {
  width: 85vw;
  padding: 0 3vw 0 3vw;
  box-shadow: 0 4px 15px rgba(0, 0, 0, 0.1);
  background-color: #a9d6e5;
}

h1 {
  text-align: center;
  color: #2c3e50;
  font-size: 7vw;
}

h2 {
  color: #34495e;
  margin-top: 5vw;
  margin-bottom: 2vw;
  font-size: 6vw;
  border-bottom: 1px solid #000000;
  padding-bottom: 1vw;
}

.legal-text {
  font-size: 5vw;
  line-height: 1.6;
  margin-bottom: 1vw;
}

a {
  color: #2980b9;
  text-decoration: none;
}

a:hover {
  text-decoration: underline;
}

@media (min-width: 768px) {
  .container {
    padding: 5vw 0 5vw 0;
  }

  .main-wrapper {
    width: 75vw;
  }

  h1 {
    font-size: 5vw;
  }

  h2 {
    font-size: 4vw;
  }

  .legal-text {
    font-size: 3vw;
  }
}

@media (min-width: 1024px) {
  .container {
    padding: 2vw 0 2vw 0;
  }

  .main-wrapper {
    width: 40vw;
  }

  h1 {
    font-size: 1.8vw;
  }

  h2 {
    margin-top: 2vw;
    margin-bottom: 1vw;
    font-size: 1.3vw;
  }

  .legal-text {
    font-size: 1vw;
    line-height: 1.6;
    margin-bottom: 1vw;
  }
}
